PUT /v1/organizations/{orgId}/wallets/{walletId}/default
Set a wallet as the default wallet for an organization.

Path Parameters

orgId string required path
Organization ID
walletId string required path
Wallet ID

Responses

200 OK
application/json
accountType string
address string
createdAt string
deletedAt string
deletedBy string
id string
isDefault boolean
isImported boolean
name string
organizationId string
providerConfig object
providerType string
updatedAt string
400 Bad Request
401 Unauthorized
404 Not Found
500 Internal Server Error
curl -X PUT 'https://api.example.com/v1/organizations/string/wallets/string/default' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/string/wallets/string/default', {  method: 'PUT',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/organizations/string/wallets/string/default', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("PUT", "https://api.example.com/v1/organizations/string/wallets/string/default", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "accountType": "<string>",  "address": "<string>",  "createdAt": "<string>",  "deletedAt": "<string>",  "deletedBy": "<string>",  "id": "<string>",  "isDefault": true,  "isImported": true,  "name": "<string>",  "organizationId": "<string>",  "providerConfig": "<object>",  "providerType": "<string>",  "updatedAt": "<string>"}
Ask a question... ⌘I